+ Responder ao Tópico



  1. #1
    Visitante

    Padrão Instalação gcc

    Caros amigos(as). Estou com problemas na instalação do gcc. Ele pede como dependência o binutils, tudo bem, ele está instalado, só que quando vou instalar dá esta mensagem abaixo. O que há de errado ?.

    [[email protected] gcc-3.2.2]# ./configure
    Configuring for a i686-pc-linux-gnu host.
    Created "Makefile" in /root/gcc/gcc-3.2.2 using "mt-frag"
    ./configure: line 7: cc: command not found
    *** The command ´cc -o conftest -g conftest.c´ failed.
    *** You must set the environment variable CC to a working compiler.

  2. #2

    Padrão Instalação gcc

    Bom ele reclama que voce nao tem nenhum compilador para poder compilar o gcc... supondo que voce pegou o source. o mais certo seria voce pegar o gcc em binario, e entao se voce quisesse algo mais ... voce compilaria uma outra versao. mas para isso voce prescisa primeiro ter um compilador em sua maquina.

    pegue o binario <IMG SRC="images/forum/icons/icon_smile.gif">



  3. #3
    AndrewAmorimdaSilva
    Visitante

    Padrão Instalação gcc

    Qual sua distro?

    è isso mesmo..hehe...como você vai compilar um compilador, sem compilador nenhum???hehehe....

    Pegue o binário ou se sua distro tiver o rpm, baixe o rpm.
    Não se esqueça de instalar o Devel tb.


    Falow!

  4. #4
    ArKeRnEl
    Visitante

    Padrão Instalação gcc

    Caros mestres, minha distro é Red Hat 8.0...

    Gostaria de vossas sugestões para mim compilador o compilador gcc...possuo os 3 cds desta distro, qual seria o pacote responsável por compilar o gcc ?...
    Me desculpem, ainda tô apanhando....



  5. #5
    ArKeRnEl
    Visitante

    Padrão Instalação gcc

    digo...compilar o compilador gcc, hahahahahahahaha q cousa....

  6. #6

    Padrão Instalação gcc

    Qual cd... realmente n faco a menor ideia <IMG SRC="images/forum/icons/icon_smile.gif">

    procure pelos pacotes

    glibc*
    glibc-devel*

    e *ocasionalmente*

    kernel-headers*
    automake*
    make*

    acho que eh so o q eu posso pensar no momento <IMG SRC="images/forum/icons/icon_smile.gif">



  7. #7
    ArKeRnEl
    Visitante

    Padrão Instalação gcc

    O pacote glibc-kernheaders consegui instalar sem problemas.
    Mas... quando vou instalar o glibc-2.2.93-5 ele diz que falta glibc-common = 2.2.93-5, e daí quando vou instalar o glibc-common = 2.2.93-5 ele dá a seguinte mensagem
    =======================================================
    glibc > 2.2.93 conflicts with glibc-common-2.2.93-5
    =======================================================
    Só que mesmo usando Uvh não tem Cristo....
    Alguma sugestão ?...
    Sempre lembrando que minha distro é RH8


  8. #8
    ArKeRnEl
    Visitante

    Padrão Instalação gcc

    Bah, quando conseguir instalar este gcc...vou dar mortais de alegria... <IMG SRC="images/forum/icons/icon_eek.gif">



  9. #9

    Padrão Instalação gcc

    Dê um rpm -qa |grep glibc e verifique se ela ja esta instalada.


    Marcos Amorim

  10. #10
    ArKeRnEl
    Visitante

    Padrão Instalação gcc

    obtive como retorno

    glibc-common-2.3.2-4.80
    glibc-2.3.2-4.80
    glibc-kernheaders-2.4-7.20



  11. #11
    Administrador Avatar de Fernando
    Ingresso
    Jul 2001
    Localização
    Campinas Area
    Posts
    4.996
    Posts de Blog
    4

    Padrão Instalação gcc

    Desinstale a dependencia conflitante e instale a outra horas

  12. #12
    Visitante

    Padrão Instalação gcc

    Olá manos!!

    Não funfa forçar a atualização ignorando as dependências, já
    testei e até que passa o primeiro pacote, mas nos próximos aparecem
    tantas dependências que desisti.
    Creio que atualizando através do APT, vai instalar legal. Ainda
    não testei....Server (sabe como é....)
    Se alguém consegui, posta aquí.

    hasta...Junior



  13. #13
    ArKeRnEl
    Visitante

    Padrão Instalação gcc

    Caro Psy, vou testar sua sugestão.
    Atenciosamente
    Mateus de Freitas Pedroso

  14. #14
    ArKeRnEl
    Visitante

    Padrão Instalação gcc

    Afinal como removo esta m... de glibc-common ????????????
    Tentei o seguinte abaixo....

    [[email protected] root]# rpm -e glibc-common
    erro: Failed dependencies:
    glibc-common = 2.3.2-4.80 is needed by (installed) glibc-2.3.2-4.80
    /usr/bin/getent is needed by (installed) stunnel-3.22-4
    [[email protected] root]#
    <IMG SRC="images/forum/icons/icon_mad.gif">



  15. #15
    ArKeRnEl
    Visitante

    Padrão Instalação gcc

    Impressão minha ou ele acusa dependências mesmo para remover um pacote..... ??????? <IMG SRC="images/forum/icons/icon_frown.gif">

  16. #16
    ArKeRnEl
    Visitante

    Padrão Instalação gcc

    Alguém me ajuda............ <IMG SRC="images/forum/icons/icon_eek.gif">



  17. #17

    Padrão Instalação gcc

    Eu tive um problema parecido resolvi com a ajuda do 1c3 apenas instalando a glibc somente ela, no seu caso instale os binarios mesmo.


    Marcos Amorim